
#include <iostream>
#include <Eigen/Dense>

using namespace std;
using namespace Eigen;

int main()
{
	Eigen::Matrix<double,4,4>  M = Eigen::Matrix<double,4,4>::Random();
	Eigen::EigenSolver< Eigen::Matrix<double,4,4> > es(M, true);
	cout << "M: "<< M << endl << endl;
	cout << "evecs: "<< es.eigenvectors() << endl;
	cout << "evals: "<< es.eigenvalues() << endl;
	return 0;	
}

